
Gisaf - Bug #9467

Error when exporting multiple shapefiles

19/12/2019 15:42 - Philippe May

Status: Closed Start date: 19/12/2019

Priority: Normal Due date:  

Assignee: Pavneet Kaur % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Geopackage is fine.

Related issues:

Related to Gisaf - Support #9483: Performance: writing gpkg is slower than sh... New 23/12/2019

Associated revisions

Revision 422c164c - 19/12/2019 16:56 - Philippe May

Fixes #9467: export multiple shapefiles

History

#1 - 19/12/2019 16:31 - Pavneet Kaur

When trying to download gpkg with these layers 

https://gis.auroville.org.in/download/layers/gpkg/avsm_survey.*V_BLDG_LDTL,avsm_survey.V_BLDG_OTLN,avsm_survey.V_BLDG_PLTF,avsm_su

rvey.V_BLDG_RAMP,avsm_survey.V_BLDG_ROOF,avsm_survey.V_BLDG_RTWL,avsm_survey.V_BLDG_SHED,avsm_survey.V_BLDG_WALL,av

sm_survey.V_FENC_BUSH,avsm_survey.V_FENC_GATE,avsm_survey.V_FENC_GRIL,avsm_survey.V_FENC_HARD,avsm_survey.V_FENC_MES

H,avsm_survey.V_FENC_METL,avsm_survey.V_FENC_WOOD,avsm_survey.V_ROAD_BRDG,avsm_survey.V_ROAD_CYCP,avsm_survey.V_ROA

D_FPAT,avsm_survey.V_ROAD_PAVD,avsm_survey.V_ROAD_UPVD,avsm_survey.V_ROAD_RAMP,avsm_survey.V_VEGE_BAEL,avsm_survey.V

_VEGE_BALM,avsm_survey.V_VEGE_BBOO,avsm_survey.V_VEGE_BNNA,avsm_survey.V_VEGE_BNYN,avsm_survey.V_VEGE_CASW,avsm_s

urvey.V_VEGE_CBAL,avsm_survey.V_VEGE_CHKO,avsm_survey.V_VEGE_COCO,avsm_survey.V_VEGE_EUCA,avsm_survey.V_VEGE_GUAV,a

vsm_survey.V_VEGE_JFRT,avsm_survey.V_VEGE_KAYA,avsm_survey.V_VEGE_LEMN,avsm_survey.V_VEGE_MANG,avsm_survey.V_VEGE_N

EEM,avsm_survey.V_VEGE_PALM,avsm_survey.V_VEGE_PAMY,avsm_survey.V_VEGE_PIPA,avsm_survey.V_VEGE_SERV,avsm_survey.V_VE

GE_TAMD,avsm_survey.V_VEGE_TDEF,avsm_survey.V_VEGE_TEAK,avsm_survey.V_VEGE_TMPL,avsm_survey.V_VEGE_TRNS,avsm_survey.

V_VEGE_WTRE,avsm_survey.V_WATR_EQPM,avsm_survey.V_WATR_LDTL,avsm_survey.V_WMNG_EQPM,avsm_survey.V_WMNG_SEPT,avs

m_survey.V_WMNG_SUMP,avsm_survey.V_WMNG_TANK,avsm_survey.V_WMNG_LDTL,avsm_survey.V_VEGE_TREE,avsm_survey.V_VEGE_P

LNT,avsm_survey.V_VEGE_CONI*?reproject=falsethe

There is an error.

#2 - 19/12/2019 16:56 - Philippe May

- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset gisaf|422c164cbd0a33b540b6986b14e094f97b524f6b.

#3 - 19/12/2019 16:58 - Philippe May

19/04/2024 1/3
- Status changed from Resolved to Feedback

- Assignee changed from Philippe May to Pavneet Kaur

Hi Pavneet,

Sorry, that was i mistake in some update that i did.

Can you please cross check it's OK now?

#4 - 20/12/2019 12:06 - Pavneet Kaur

When trying with a large amount of layers from multiple main categories, there is same error. (504 Gateway time-out)

While trying with all the layers under vegetation, for eg; it had worked fine.

#5 - 20/12/2019 12:10 - Pavneet Kaur

The error comes while trying to download GPKG only. Individual shapefiles got downloaded. Thanks!

#6 - 20/12/2019 23:44 - Philippe May

It's a different error (502 vs 504). 504 means it takes too long to generate (lots of layers).

One question: do you use https://gis.csr.av (only available in CSR)?

#7 - 21/12/2019 09:22 - Pavneet Kaur

I use gis.auroville.org.in, both in CSR and Outside CSR...

#8 - 21/12/2019 09:56 - Philippe May

Normally, the "timeout" is set to 5 minutes, which i think should be enough, unless someone wants to kill our server ;) When a request (in that case:

making the gpkg/shapefile) takes more than that, the user gets the error instead.

Now, i've cross-checked and found that using gis.auroville.org.in, the timeout actually was 1 minute.

I'll let you retry if you want.

#9 - 21/12/2019 12:18 - Pavneet Kaur

Did you set the time more than 1 minute now? Retried the gpkg download, 504 time out error is still there...

I used the shapefiles download option to get my work done, thanks!! : )

Also, very useful to download main categories as a gpkg, helps a lot to not have to click on all the sub categories. 
thumbsup.png 

#10 - 21/12/2019 12:41 - Philippe May

If you use gis.auroville.org.in, it also depends on Aurinoco (they might have timers on their infrastructure that impact ours). I'll check with Aurinoco,

some day.

By the way, do you mean that downloading that same set of layers works as shapefile, but not as gpkg?

#11 - 23/12/2019 16:48 - Philippe May

- Related to Support #9483: Performance: writing gpkg is slower than shapefiles added
#12 - 23/12/2019 17:09 - Philippe May

Closing this ticket now. See the related #9483 for follow up on gpkg.

#13 - 23/12/2019 17:09 - Philippe May

- Status changed from Feedback to Closed
